Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
[Java] Class UnknownRepositoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.UnknownDomainObjectException
                          org.gradle.api.artifacts.UnknownRepositoryException

    public class UnknownRepositoryException
    extends UnknownDomainObjectException

An `UnknownRepositoryException` is thrown when a repository referenced by name cannot be found.

Constructor Summary
`UnknownRepositoryException(String message)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### UnknownRepositoryException

    public UnknownRepositoryException(String message)

Gradle API 1.10